• 0
dmokrushin123

Сборка приложения для IOS 11

Вопрос

Не устанавливается приложение для IOS 11 на устройство.

XCode 9.01

Rad Studio 10.2.1 + patch 30805.

До установки патча IPA файл вовсе не создавался, сейчас создается но не устанавливается.

Provision Profile пересоздал, не помогло.

Да заметил что пустое приложения на симулятор устанавливается, запускается и сразу закрывается. Т.е. тут то-же ненормально.

 

Под IOS 10 c использованием XCode 8.3 все было отлично.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

44 ответа на этот вопрос

  • 0
3 часа назад, dmokrushin123 сказал:

Не устанавливается приложение для IOS 11 на устройство.

XCode 9.01

Rad Studio 10.2.1 + patch 30805.

До установки патча IPA файл вовсе не создавался, сейчас создается но не устанавливается.

Provision Profile пересоздал, не помогло.

Да заметил что пустое приложения на симулятор устанавливается, запускается и сразу закрывается. Т.е. тут то-же ненормально.

 

Под IOS 10 c использованием XCode 8.3 все было отлично.

 

Компилируй под SDK10.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
2 часа назад, Vitaldj сказал:

Компилируй под SDK10.

Подскажи как выбрать SDK 10

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
7 минут назад, dmokrushin123 сказал:

Подскажи как выбрать SDK 10

В настройках. А что, у тебя нету? 

 

PS сейчас не могу показать, нет студии под рукой. Если не найдешь, вечером могу скрин скинуть.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Ну если бы нашел настройку не спрашивал бы. Сейчас в списке при добавлении только одно iOSPhone 11

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
3 минуты назад, dmokrushin123 сказал:

Ну если бы нашел настройку не спрашивал бы. Сейчас в списке при добавлении только одно iOSPhone 11

А до этого xcode8 не стояла? Если, нет, тогда ставь и скачивай SDK10

Изменено пользователем Vitaldj

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Что значит "Скачивай SDK 10", его что можно отдельно скачать от XCode ?
До этого  и 8 и 9 версия XCode стояла, но ничего не получилось в итоге. Вот только Patch для IOS 11 вчера поставил, возможно дело и в этом в  том числе. Попробую поставить еще раз для эксперемента (архив XCode 8.3.3  есть).

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
1 минуту назад, dmokrushin123 сказал:

Что значит "Скачивай SDK 10", его что можно отдельно скачать от XCode ?
До этого  и 8 и 9 версия XCode стояла, но ничего не получилось в итоге. Вот только Patch для IOS 11 вчера поставил, возможно дело и в этом в  том числе. Попробую поставить еще раз для эксперемента (архив XCode 8.3.3  есть).

Конечно можно сказать)). Куда бы он делся. Только в настойках Xcode на странице Location поставь нужную "Command Line tools"

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

А куда у тебя делся тогда SDK10 ? если ты говоришь, что раньше стоял Xcode 8 ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Как то не понял ответа, SDK скачать отдельно нельзя, не вижу на developer.apple.download.

Могу:

1. Переименовываю XCode скажем в XCode9

2. Скачиваю XCode 8.3.3 и устанавливаю  (или это не нужно ?)

3. Скачиваю и устанавливаю  Command Tools  для 8.3

4. Запускаю Xcode 9 и меняю Command Tools

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
1 минуту назад, dmokrushin123 сказал:

Как то не понял ответа, SDK скачать отдельно нельзя, не вижу на developer.apple.download.

Могу:

1. Переименовываю XCode скажем в XCode9

2. Скачиваю XCode 8.3.3 и устанавливаю  (или это не нужно ?)

3. Скачиваю и устанавливаю  Command Tools  для 8.3

4. Запускаю Xcode 9 и меняю Command Tools

Поподробнее, что значит "Переименовываю"?

 

Да, скачивай xcode8, Xcode9 - не трожь! Запускай xcode8 - ставь командную линию на 8 Xcode (если уже не стоит). Запускай студию и добавляй SDK10

59f9e78b2abc9_Screenshotat.0120-25-02.png.43cc64a9371f0605112450169fef7753.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Ничего не надо переименовывать! 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
8 минут назад, dmokrushin123 сказал:

И где тут IOS 11 ?  

Ты меня прости, я очень сдержанный, но ты немного меня в который раз огорчаешь:

ГДЕ ТУТ??????? О чем ты опять пишешь (говоришь) ????? Где цитирования того, о чем ты пишешь???? Или ты нормально объясняешь, или я иду дальше заниматься своими делами и больше не отвечаю. 

Изменено пользователем Vitaldj

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Изначально было приложение на XCode 8 и соответственно SDK 10.  На устройстве с IOS 10 все работало, а вот с IOS 11 не запускалось.
Тема называется "Сборка приложения для IOS 11", а не вообще проблема со сборкой.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
9 минут назад, dmokrushin123 сказал:

Изначально было приложение на XCode 8 и соответственно SDK 10.  На устройстве с IOS 10 все работало, а вот с IOS 11 не запускалось.
Тема называется "Сборка приложения для IOS 11", а не вообще проблема со сборкой.

Это я понял. Ты читал мое первое сообщение? Которое гласит, компили под SDK10. В xcode9 опять что  поменяли, патч все равно не корректно работает, пока в ембре на исправят, компилируй под SDK10. И будет тебе счастье. НЕ РАБОТАЕТ КОРРЕКТНО SDK11 НА дельфи !

Изменено пользователем Vitaldj

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Я с этого и начал в самом начале и счастья не наблюдал.  Потом уже начались эксперементы с XCode 9. Вернусь назад и "вдруг заработает".

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
2 минуты назад, dmokrushin123 сказал:

Я с этого и начал в самом начале и счастья не наблюдал.  Потом уже начались эксперементы с XCode 9. Вернусь назад и "вдруг заработает".

Как не наблюдал? Ты писал в самом начале:

 

10 часов назад, dmokrushin123 сказал:

Не устанавливается приложение для IOS 11 на устройство.

XCode 9.01

Rad Studio 10.2.1 + patch 30805.

До установки патча IPA файл вовсе не создавался, сейчас создается но не устанавливается.

Provision Profile пересоздал, не помогло.

Да заметил что пустое приложения на симулятор устанавливается, запускается и сразу закрывается. Т.е. тут то-же ненормально.

 

Под IOS 10 c использованием XCode 8.3 все было отлично.

И там черным по белому написано: Xcode 9.  И что под xcode 8 все было нормуль. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Пока мы с тобой беседовали, я обновил Xcode до 9.1 и прилетел ios11.1 

59f9f0824b7b8_Screenshotat.0121-03-44.png.8696b6e209e677206722788cac537e11.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Не вижу разночтений: устройство с IOS10+XCODE8 нормально, устройство с IOS11+XCODE9 НЕ нормально.  Вариант IOS11+XCODE8 у меня не пошел (сейчас уже деталей не вспомню, да и патча для IOS 11 не стояло в тот момент), в связи с чем сразу перешел на вариант IOS11+XCODE9 где приложение собирается но не запускается.   Вернусь к варианту IOS11+XCODE8, может после установки патча что изменилось.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

IOS 11 + SDK 10.2 + XCODE 8.2.1 полет нормальный

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
2 минуты назад, dmokrushin123 сказал:

Не вижу разночтений: устройство с IOS10+XCODE8 нормально, устройство с IOS11+XCODE9 НЕ нормально.  Вариант IOS11+XCODE8 у меня не пошел (сейчас уже деталей не вспомню, да и патча для IOS 11 не стояло в тот момент), в связи с чем сразу перешел на вариант IOS11+XCODE9 где приложение собирается но не запускается.   Вернусь к варианту IOS11+XCODE8, может после установки патча что изменилось.

Я тебе про это и говорю, только ты указывая данные параметры, забываешь про SDK. То что у тебя устройство на ios11, это понятно, назад не откатишь. Но не важно , что оно на ios11, выбирай SDK10 + xcode8 (хоть даже xcode9 ) + ios11.

У меня с ios11 на xcode9 + SDK10 - все работает. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
2 минуты назад, FREEFAR сказал:

IOS 11 + SDK 10.2 + XCODE 8.2.1 полет нормальный

во, просто и говорю!!!! Можно даже xcode9 

Изменено пользователем Vitaldj

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0

Скачаю и 9.1 до кучи, потом будут эксперементировать.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
2 минуты назад, Vitaldj сказал:

во, просто и говорю!!!! Можно даже xcode9 

Виталь, я чет побоялся до 9 катить на хакинтоше. Не упадет?

На МАКе подняли

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
  • 0
3 минуты назад, FREEFAR сказал:

Виталь, я чет побоялся до 9 катить на хакинтоше. Не упадет?

На МАКе подняли

Ой, не знаю. У меня мак мини и мак бук про, все нормуль. Не знаю что такое хикинтош)). Сейчас  спрошу у Равиля в чате, может ответит. 

Изменено пользователем Vitaldj

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу